## gosa 2.7.4+reloaded1

=== debian/control ===
Source: gosa
Section: web
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org> 
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 7.0.50~),
Build-Depends-Indep:
 po-debconf,
Standards-Version: 3.9.3
Homepage: https://oss.gonicus.de/labs/gosa/
Vcs-Browser: https://oss.gonicus.de/repositories/gosa/trunk
Vcs-Svn: https://oss.gonicus.de/repositories/gosa/trunk

Package: gosa
Architecture: all
Depends:
 php5,
 php5-cli,
 apache2 | lighttpd | httpd,
 exim4 | mail-transport-agent,
 php5-gd,
 php5-imap,
 php5-ldap,
 php5-mcrypt,
 php5-mysqlnd | php5-mysql,
 php5-imagick | imagemagick (>= 5.4.4.5-1) | graphicsmagick-im-compat,
 libcrypt-smbhash-perl,
 php5-recode,
 smarty3 (>= 3.1.10-1),
 gettext,
 ${misc:Depends},
 libapache2-mod-php5 | php5-cgi | php5-fpm,
 php5-curl,
 fonts-liberation,
Recommends:
 ${misc:Recommends},
Suggests:
 gosa-si-server,
 cyrus21-imapd (>= 2.1.11),
 postfix-ldap,
 slapd,
 gosa-schema,
 php5-suhosin,
 php-apc,
 php-fpdf,
Conflicts:
 smarty3-gosa,
 smarty3-gettext,
 smarty-acl-render,
Description: Web Based LDAP Administration Program
 Provided is access to posix, shadow, samba, proxy, fax, pureftp and
 kerberos accounts. It is able to manage the postfix/cyrus server
 combination and can write user adapted sieve scripts.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-dev
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 php5-cli,
 latex2html,
 lyx,
Description: GOsa² development utilities
 This package contains a couple of tools to generate online
 help, extract localizations and howto's for developing Gosa² plugins.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-desktop
Architecture: all
Depends:
 ${misc:Depends},
 konqueror | iceweasel | mozilla | firefox,
 debconf,
Description: Desktop integration for GOsa²
 This package includes a Gosa² menu definition for your desktop
 environment.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa
 This package includes the basics LDAP schemas needed by GOsa².
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-en
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
Description: English online help for GOsa
 This package includes the English online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-de
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
Description: German online help for GOsa²
 This package includes the German online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-fr
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
Description: French online help for GOsa²
 This package includes the French online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-help-nl
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
Description: Dutch online help for GOsa
 This package includes the Dutch online documentation for GOsa²
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-connectivity
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
Breaks: gosa (<<2.7)
Description: connectivity plugin for GOsa²
 Connectivity base plugin - base for really small plugins.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dhcp
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Breaks: gosa (<<2.7)
Description: dhcp plugin for GOsa²
 DHCP service management plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dhcp-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² dhcp plugin
 This package includes the LDAP schema needed by the GOsa²
 dhcp plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dns
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Breaks: gosa (<<2.7)
Description: dns plugin for GOsa²
 DNS service management plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-dns-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² dns plugin
 This package includes the LDAP schema needed by the GOsa²
 dns plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-fai
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-goto,
Breaks: gosa (<<2.7)
Description: fai plugin for GOsa²
 FAI plugin for managing Linux system deployment.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-fai-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² fai plugin
 This package includes the LDAP schema needed by the GOsa²
 fai plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-gofax
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Breaks: gosa (<<2.7)
Description: gofax plugin for GOsa²
 GOfax management with report functionality
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-gofon
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Breaks: gosa (<<2.7)
Description: gofon plugin for GOsa²
 GOfon management with report functionality
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-goto
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Breaks: gosa (<<2.7)
Description: goto plugin for GOsa²
 GOto desktop management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-kolab
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-connectivity,
 gosa-plugin-mail,
Breaks: gosa (<<2.7)
Description: kolab plugin for GOsa²
 Kolab2 account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-kolab-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² kolab plugin
 This package includes the LDAP schema needed by the GOsa²
 kolab plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-ldapmanager
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
Breaks: gosa (<<2.7)
Description: ldapmanager plugin for GOsa²
 LDAP import and export management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-mail
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Breaks: gosa (<<2.7)
Description: base mail plugin for GOsa²
 Mail management base plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-mit-krb5
Architecture: all
Conflicts: gosa-plugin-heimdal 
Breaks: gosa (<<2.7)
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
Description: mit-krb5 plugin for GOsa²
 MIT kerberos management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-mit-krb5-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² mit-krb5 plugin
 This package includes the LDAP schema needed by the GOsa²
 mit-krb5 plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-nagios
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 libswitch-perl | perl (<< 5.10.1-13),
Breaks: gosa (<<2.7)
Description: nagios plugin for GOsa²
 Nagios account settings management
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-nagios-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² nagios plugin
 This package includes the LDAP schema needed by the GOsa²
 nagios plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-netatalk
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-systems,
 gosa-plugin-goto,
Breaks: gosa (<<2.7)
Description: netatalk plugin for GOsa²
 Netatalk account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-opengroupware
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-mail,
 gosa-plugin-connectivity,
Breaks: gosa (<<2.7)
Description: opengroupware plugin for GOsa²
 Opengroupware account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-openxchange
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-mail,
 gosa-plugin-connectivity,
Breaks: gosa (<<2.7)
Description: openxchange plugin for GOsa²
 Open-Xchange account management plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-openxchange-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² openxchange plugin
 This package includes the LDAP schema needed by the GOsa²
 openxchange plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-opsi
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-fai,
 gosa-plugin-goto,
Breaks: gosa (<<2.7)
Description: opsi plugin for GOsa²
 opsi plugin for managing windows system and software deployment
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-phpgw
Architecture: all
Depends:
 ${misc:Depends},
 gosa,
 gosa-plugin-mail,
 gosa-plugin-connectivity,
Breaks: gosa (<<2.7)
Description: phpgw plugin for GOsa²
 PHP Groupware connectivity plugin
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

Package: gosa-plugin-phpgw-schema
Architecture: all
Depends:
 ${misc:Depends},
Recommends: slapd
Description: LDAP schema for GOsa² phpgw plugin
 This package includes the LDAP schema needed by the GOsa²
 phpgw plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
